# $Id: smeserver-cacti.spec,v 1.7 2022/07/31 19:59:08 jpp Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: Cacti for smeserver
%define name smeserver-cacti
Name: %{name}
%define version 1.1.19
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-cacti-1.1.19-sme10.patch
Patch1: smeserver-cacti-1.1.19-mariadb55.patch

BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 10 , rrdtool >= 1
Requires: cacti >= 1.2.21
Requires: cacti-spine
Requires: e-smith-apache >= 2.6.0-19
Requires: smeserver-php >= 3.0.0-43
Requires: php74-php-gmp
Requires: php-gmp

AutoReqProv: no

%changelog
* Sun Jul 31 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.19-3.sme
- fix cacti prevents mariadb105 to start

* Mon Jul 25 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.1.19-2.sme
- update httpd 2.4 to syntax [SME: 12039]
- initial import to SME10 [SME: 11307]
  cacti-1.2.21
  dedicated php-fpm pool 74
  update event
  ldap available
  auto install install_cacti.php --accept-eula --install
- fix sql init [SME: 10972]
 
* Wed Dec 11 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.1.19-1.sme
- update to cacti-1.1.19 [SME: 8434]

* Fri Jun 10 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.8.8h1-2.sme
- new version for cacti-0.8.8h-1 [SME: 8434]

* Thu Jun 09 2016 Jean-Philipe Pialasse <tests@pialasse.com> 0.8.8b1-2.sme
- update version Required

* Mon Jun 16 2014 JP Pialasse <tests@pialasse.com> 0.8.8b1-1.sme
- initial import to SME9 contribs

* Thu Nov 21 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b-12.sme
- fixed poller not running in cron , added to crontab
- fixed wrong ownership for db.php, now cacti:www
- added status enabled by default
- user cacti to run in cron

* Thu Nov 14 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b-10.sme
  Tue Nov 14 2013 --> Tue Nov 12 2013 or Thu Nov 14 2013 or Tue Nov 19 2013 or ....
- typo fix in last patch (7)

* Sun Nov 10 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b-9.sme
- fix paths in sql dump  [SME: 7419]

* Mon Oct 21 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b-8.sme
- fixing last template path error in createlinks

* Fri Oct 18 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b-7.sme
- fix missing type
- fix wrong path in Virtualhost template
- fix DB not creating
- fix extra file in template
- updated db mysql default

* Tue Oct 15 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.8.8b-3.sme
- initial release for SME 8
- use el5 repo cacti
- fix dependencies

* Tue Dec  4 2007 Michel Van hees <michel@vanhees.cc>
- Update contrib to 0.8.7a version
- Adding access limitation
- Adding automatic redirection to https
- Automatic Update process from 0.8.6j

* Mon Jan  29 2007 Michel Van hees <michel@vanhees.cc>
- Based on cacti 0.8.6j
- Initial release

%description
SME server - Cacti

%prep
%setup
mkdir -p root/var/log/php/cacti
mkdir -p root/var/lib/php/cacti/{opcache,session,tmp}
%patch0 -p1
rm  root/etc/e-smith/db/configuration/migrate/80cacti_sme.sql
rm root/etc/e-smith/templates/etc/cacti/db.php/40DB
%patch1 -p1

%build
perl createlinks


%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
 --dir /var/log/php/cacti  'attr(0755,www,www)' \
 --dir /var/lib/php/cacti  'attr(0755,www,www)' \
 --dir /var/lib/php/cacti/tmp 'attr(0755,www,www)' \
 --dir /var/lib/php/cacti/opcache 'attr(0755,www,www)' \
 --dir /var/lib/php/cacti/session 'attr(0755,www,www)' \
	> %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
#/sbin/e-smith/db accounts set cacti reserved

%preun

%post
#/sbin/e-smith/db configuration set cacti service
#/sbin/e-smith/db configuration setprop cacti access private

#/sbin/e-smith/expand-template /etc/httpd/conf/httpd.conf
#/sbin/e-smith/expand-template /opt/cacti/include/config.php
#service httpd-e-smith sigusr1


#cactiVersion=`mysql cacti_sme -N -s -e"select * from version"`
#case "$cactiVersion" in
#    0.8.6j)
#	echo ""
#        echo "Upgrade process !!!!!!"    
#	mysql cacti_sme < /opt/cacti/cacti_upg086j.sql
#	rm -f /opt/cacti/cacti_sme.sql
#	rm -f /opt/cacti/cacti_upg086j.sql
#	echo "Upgrade complete ..."
#	echo ""
#    ;;
#    0.8.7a)
#        # Shoul not be here for the moment
#    ;;
#    *)
#        # Fresh install
#	echo ""
#	echo "fresh install..."
#	mysqladmin create cacti_sme
#	mysql cacti_sme < /opt/cacti/cacti_sme.sql
#	rm -Rf /opt/cacti/install
#	rm -f /opt/cacti/cacti_sme.sql
#	rm -f /opt/cacti/cacti_upg086j.sql
#        echo "Install complete ..."
#	echo ""
#esac


%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
